geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: Seeing build failure due to Axis2 changes
Date Thu, 05 Jul 2007 15:50:25 GMT
Seems that they were uploaded to 
http://people.apache.org/repo/m2-ibiblio-rsync-repository/org/apache/httpcomponents/ 
on July 2nd, so it must just be the m2 mirror that I'm hitting is timing out....
Will keep retrying.

But, I did notice that mail-1.4.jar and a few other transitive depends are 
getting downloaded when building again due to the Axis2 updates and may 
require some exclusion updates to our geronimo-axis2/pom.xml....


-Donald

Donald Woods wrote:
> Just tried a build with a clean .m2 repo and am seeing the following 
> build failure for modules/geronimo-axis2  -
> 
> [INFO] 
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO] 
> ------------------------------------------------------------------------
> [INFO] Failed to resolve artifact.
> 
> Missing:
> ----------
> 1) org.apache.httpcomponents:httpcore:jar:4.0-alpha5
> 
>   Try downloading the file manually from the project website.
> 
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.apache.httpcomponents 
> -DartifactId=
> httpcore \
>           -Dversion=4.0-alpha5 -Dpackaging=jar -Dfile=/path/to/file
> 
>   Path to dependency:
>         1) org.apache.geronimo.modules:geronimo-axis2:jar:2.0-SNAPSHOT
>         2) org.apache.axis2:axis2-kernel:jar:SNAPSHOT
>         3) org.apache.httpcomponents:httpcore:jar:4.0-alpha5
> 
> 2) org.apache.httpcomponents:httpcore-niossl:jar:4.0-alpha5
> 
>   Try downloading the file manually from the project website.
> 
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.apache.httpcomponents 
> -DartifactId=
> httpcore-niossl \
>           -Dversion=4.0-alpha5 -Dpackaging=jar -Dfile=/path/to/file
> 
>   Path to dependency:
>         1) org.apache.geronimo.modules:geronimo-axis2:jar:2.0-SNAPSHOT
>         2) org.apache.axis2:axis2-kernel:jar:SNAPSHOT
>         3) org.apache.httpcomponents:httpcore-niossl:jar:4.0-alpha5
> 
> 3) org.apache.httpcomponents:httpcore-nio:jar:4.0-alpha5
> 
>   Try downloading the file manually from the project website.
> 
>   Then, install it using the command:
>       mvn install:install-file -DgroupId=org.apache.httpcomponents 
> -DartifactId=
> httpcore-nio \
>           -Dversion=4.0-alpha5 -Dpackaging=jar -Dfile=/path/to/file
> 
>   Path to dependency:
>         1) org.apache.geronimo.modules:geronimo-axis2:jar:2.0-SNAPSHOT
>         2) org.apache.axis2:axis2-kernel:jar:SNAPSHOT
>         3) org.apache.httpcomponents:httpcore-nio:jar:4.0-alpha5
> 
> ----------
> 3 required artifacts are missing.
> 
> for artifact:
>   org.apache.geronimo.modules:geronimo-axis2:jar:2.0-SNAPSHOT
> 
> from the specified remote repositories:
>   apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   wasce-epr2 (http://maven.rtp.raleigh.ibm.com/wasce/epr2),
>   central (http://repo1.maven.org/maven2),
>   java.net (http://download.java.net/maven/1/),
>   tomcat-m2-repo (http://tomcat.apache.org/dev/dist/m2-repository),
>   apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository)
> 

Mime
View raw message